<%@ page contentType="text/html" pageEncoding="UTF-8" trimDirectiveWhitespaces="true" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="/WEB-INF/tld/escape.tld" prefix="esc" %>

<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />

	<title>${i18n['publikator']}</title>

		<!-- CSS Imports -->
		<link rel="stylesheet" href="https://res.de.dariah.eu/dhrep/css/bootstrap.css?" type="text/css" media="screen, projection" />
		<link rel="stylesheet" href="https://res.de.dariah.eu/dhrep/css/bootstrap-responsive.css?" type="text/css" media="screen, projection" />
		<link rel="stylesheet" href="https://res.de.dariah.eu/dhrep/css/application.css?" type="text/css" media="screen, projection" />
		<link rel="stylesheet" href="https://res.de.dariah.eu/dhrep/css/bootstrap-customization.css?" type="text/css" media="screen, projection" />
		<link rel="stylesheet" href="https://res.de.dariah.eu/dhrep/css/bootstrap-modal.css?" type="text/css" media="screen, projection" />
		<link rel="stylesheet" href="https://res.de.dariah.eu/dhrep/css/font-awesome.css?" />

		<!-- JavaScript files at the end for faster loading of documents -->

		<script type="text/javascript" src="https://res.de.dariah.eu/dhrep/js/jquery.min.js?"></script>
		<script type="text/javascript" src="https://res.de.dariah.eu/dhrep/js/bootstrap.js?"></script>
		<script type="text/javascript" src="https://res.de.dariah.eu/globalmenu/globalmenu.js?"></script>
		<script type="text/javascript" src="./js/bootstrap-session-timeout.min.js?${applicationScope.buildTimestamp}"></script>

		<!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->
		<link rel="shortcut icon" type="image/png" href="https://res.de.dariah.eu/dhrep/img/page_icon.png" />
	</head>
	<body>
		<div class="navbar navbar-inverse navbar-static-top navbar-dariah" id="top">
			<div class="navbar-inner">
				<div class="container-fluid">
					<div class="row-fluid">
						<!--div class="span1"></div-->
						<div class="span12">
							<a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
							</a>
							<div class="nav-collapse collapse">
								<ul class="nav pull-right">
									<li class="dropdown">
										<a class="dropdown-toggle" data-toggle="dropdown" href="#">
											<i class="icon-question-sign icon-white"></i> ${i18n['collection-overview-more']} <span class="caret"></span>
										</a>
										<ul class="dropdown-menu">
											<li><a href="${linkToDocumentation}">${i18n['collection-overview-documentation']}</a></li>
											<li><a href="${linkToFAQ}">${i18n['collection-overview-faq']}</a></li>
											<li><a href="${linkToAPIDoc}">${i18n['collection-overview-apidoc']}</a></li>
											<li><a href="mailto:${mailOfContact}?subject=${i18n['collection-overview-bug']}">${i18n['collection-overview-support']}</a></li>
										</ul>
									</li>
									<li class="dropdown">
										<a class="dropdown-toggle" data-toggle="dropdown" href="#"><i class="icon-globe icon-white"></i>
											${i18n['header-language']} <span class="caret"></span>
										</a>
										<ul class="dropdown-menu" id="language_selection">
										 <c:forEach var="locale" items="${applicationScope.availableLocales}">
										 	 <c:choose>
 												<c:when test="${fn:length(locale.country) gt 0}">
 													<li><a href="mainView?view=language&amp;locale=${locale.language}&amp;country=${locale.country}">
 													<img src="https://res.de.dariah.eu/dhrep/img/famfamfam_flag_icons/png/${fn:toLowerCase(locale.country)}.png" alt="${locale.displayLanguage}" /> ${locale.getDisplayLanguage(requestScope.locale)}</a></li>
   													<li class="divider"></li>
   												</c:when>
  												<c:otherwise>
 													<li><a href="mainView?view=language&amp;locale=${locale.language}">
 													<img src="https://res.de.dariah.eu/dhrep/img/famfamfam_flag_icons/png/${locale.language}.png" alt="${locale.displayLanguage}" /> ${locale.getDisplayLanguage(requestScope.locale)}</a></li>
  													<li class="divider"></li>
  												</c:otherwise>
												</c:choose>
										 </c:forEach>
										</ul>
									</li>
									<c:if test="${sessionScope.authenticated}">
									<li class="dropdown">
										<a class="dropdown-toggle" data-toggle="dropdown" href="#"><i class="fa-user icon-white"></i>
												${sessionScope.userObject.displayname} <span class="caret"></span>
										</a>
										<ul class="dropdown-menu">
										<li><a href="login?view=logout"><i class="fa-sign-out icon-white"></i> ${i18n['header-logout']}</a></li>
										</ul>
									</li>
									</c:if>
								</ul>
								<ul class="nav">
									<!--
									Don't change this section!
									-->
									<li id="home_button" class="dropdown">
										<a class="brand dropdown-toggle" data-toggle="dropdown" href="#">
											<span class="caret"></span>
											DARIAH-DE
										</a>
										<ul id="home_dropdown_menu" class="dropdown-menu">
											<li class="dropdown-submenu">
											    <a tabindex="-1" href="#">DARIAH-DE</a>
											    <ul class="dropdown-menu">
											      <li><a href="https://de.dariah.eu">DARIAH-DE Home</a></li>
											      <li class="divider"></li>
											      <li><a href="https://textgrid.de/ ">TextGrid</a></li>
											    </ul>
											  </li>
											<li class="divider"></li>
											<li class="dropdown-submenu">
											    <a tabindex="-1" href="#">DARIAH-EU</a>
											    <ul class="dropdown-menu">
											      <li><a href="https://www.dariah.eu/">DARIAH-EU Home</a></li>
											    </ul>
											  </li>
										</ul>
									</li>
									<li  class="active"><a href="${pageContext.request.contextPath}/mainView">${i18n['publikator']}</a></li>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div id="content_layout" class="container-fluid">
			<div style="height:40px;"></div>
			<div class="row-fluid" id="content-surround">
				<div class="span12 main-content-wrapper no-margin">
					<div id="content" class="primary-area">
